pupmod

partner
A puppet module to manage puppetserver and puppet agents

SIMP

simp

16,558 downloads

390 latest version

4.9 quality score

Version information

  • 8.1.3 (latest)
  • 8.1.2
  • 8.1.1
  • 8.1.0
  • 8.0.0
  • 7.11.1
  • 7.11.0
  • 7.10.1
  • 7.10.0
  • 7.9.0
  • 7.8.0
  • 7.7.1
  • 7.7.0
  • 7.6.1
  • 7.6.0
  • 7.5.0
  • 7.4.1
  • 7.4.0
  • 7.3.1
  • 7.3.0
  • 6.0.8
  • 6.0.7
released Jun 1st 2021
This version is compatible with:
  • Puppet Enterprise 2019.8.x, 2019.7.x, 2019.5.x, 2019.4.x, 2019.3.x, 2019.2.x, 2019.1.x, 2019.0.x, 2018.1.x, 2017.3.x
  • Puppet >= 5.0.0 < 7.0.0
  • CentOS
    ,
    RedHat
    ,
    OracleLinux

Start using this module

Documentation

simp/pupmod — version 8.1.3 Jun 1st 2021

License CII Best Practices Puppet Forge Puppet Forge Downloads Build Status

Table of Contents

Overview

This is a SIMP module

This module is a component of the System Integrity Management Platform, a compliance-management framework built on Puppet.

If you find any issues, they can be submitted to our JIRA.

Please read our Contribution Guide.

Module Description

See REFERENCE.md for more details.

Upgrade Considerations

Upgrading From 7.3.0 Or Earlier

Legacy auth.conf, /etc/puppetlabs/puppet/auth.conf, has been deprecated. pupmod-simp-pupmod will back up legacy puppet auth.conf after upgrade.

The puppetserver's auth.conf is now managed by Puppet. You will need to re-produce any custom work done to legacy auth.conf in the new auth.conf, via the puppet_authorization::rule define. The stock rules are managed in pupmod::master::simp_auth.